.configurator{
    padding: 60px 0px;
}

.configurator-content{
    display: flex;
    justify-content: space-between;
    background-color: #FFF;
    
    padding: 50px 100px;
    box-sizing: border-box;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 10px 10px 20px rgb(0, 0, 0, 0.2);
    gap: 80px;
    
    height: 780px;
}

.data-configurator{
    display: none;
}

.configurator-result-block{
    flex-basis: 50%;
    height: 680px;
    overflow-y: auto;
}

    .configurator-result-temp-image{
        height: 680px;
        background-image: url(../img/configurator/configurator_block2.png);
        background-position: center;
        background-repeat: no-repeat;
/*        background-size: contain;*/
        background-size: 90%;
    }
    
    .configurator-result-list-models{
        display: flex;
        flex-wrap: wrap;
        gap: 20px;
    }
    
        .items-configurator-result{
            width: calc(50% - 20px);
            background-color: #F4F4F4;
            padding: 15px 25px;
            box-sizing: border-box;
            border-radius: 5px;
            box-shadow: 5px 5px 10px rgb(0, 0, 0, 0.2);
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            gap: 20px;
        }
        
            .items-configurator-result-image{
                height: 180px;
                background-position: center;
                background-repeat: no-repeat;
                background-size: contain;
                margin-bottom: 20px;
                width: 100%;
            }

            .items-configurator-result-title-model{
                width: calc(50% - 20px);
                font-size: 18px;
                font-weight: bold;
            }
                
            .items-configurator-result a{
                width: calc(50% - 20px);
                align-content: space-around;
            }
                
            .items-configurator-result .button{
                padding: 5px 20px;
                font-size: 18px;
                color: #fff;
                background-color: #0B52A0;
            }
            
                .items-configurator-result .button:hover{
                    background-color: #FF9B26;
                }
    
    
.configurator-body{
    flex-basis: 50%;
    position: relative;
}

    .configurator-body-title{
        font-size: 37px;
        font-weight: bold;
        text-transform: uppercase;
        color: #0B52A0;
        line-height: 30px;
    }

    .configurator-body-title-desk{
        font-size: 20px;
        color: #67696B;
        margin-bottom: 30px;
        font-weight: bold;
    }
    
    .configurator-menu{
        margin: 0px -25px;
        margin-bottom: 20px;
    }
    
        .configurator-menu-items{
            color: #969696;
            font-size: 20px;
            display: inline-block;
            padding: 3px 55px 3px 25px;
            border-radius: 5px;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
            margin-bottom: 10px;
            width: 250px;
        }
    
        .configurator-menu-items.action{
            background-color: #F4F4F4;
            color: #0B52A0;
        }
        
        .configurator-menu-items.finish-progress{
            color: #FF9B26;
            position: relative;
        }
        
        .configurator-menu-items.finish-progress:after{
            content: "";
            display: inline-block;
            position: absolute;
            right: 50px;
            width: 25px;
            height: 25px;
            background-image: url(../img/configurator/icon_orange_success.svg);
            background-repeat: no-repeat;
            background-position: center;
            background-size: 80%;
        }
        
        .configurator-menu-content{
            display: none;
            position: relative;
            margin-bottom: 15px;
        }
        
        .configurator-menu-content .button{
            background-color: #0B52A0;
            color: #fff;
            padding: 7px 42px;
            margin-left: 10px;
            vertical-align: middle;
            position: relative;
            top: -2px;
        }
        
        .configurator-menu-content .button:hover{
            background-color: #FF9B26;
        }
        
            .configurator-menu-content-title{
                color: #000;
                font-size: 17px;
                padding-left: 25px;
                font-weight: bold;
                margin-bottom: 10px;
            }
            
            .configurator-menu-content-step-buttons{
                display: flex;
                flex-wrap: wrap;
                gap: 20px;
            }
            
                .configurator-question-items{
                    position: relative;
                    width: calc(25% - 20px);
                    height: 110px;
                    box-shadow: 5px 5px 10px rgb(0, 0, 0, 0.2);
                    border-radius: 5px;
                    overflow: hidden;
                    cursor: pointer;
                    height: 110px;
                }
                
                .configurator-question-items:hover .configurator-question-items-icon{
                    filter: grayscale(0%);
                    opacity: 1;
                }
                
                .configurator-question-items:hover .configurator-question-items-title{
                    color: #000;
                }
                
                    .configurator-question-items-content{
                        position: absolute;
                        -webkit-transform: translate(-50%, -50%);
                        transform: translate(-50%, -50%);
                        top: 50%;
                        left: 50%;
                    }
        
                        .configurator-question-items-icon{
                            width: 140px;
                            height: 60px;
                            margin-bottom: 5px;
                            background-position: center;
                            background-repeat: no-repeat;
                            background-size: 80%;
                            filter: grayscale(100%);
                            opacity: 0.4;
                            transition: 0.3s;
                        }
                        
                            .configurator-question-items[data='6x2'] .configurator-question-items-icon{
                                background-size: 127%;
                            }
                        
                            .configurator-question-items[data='8x8'] .configurator-question-items-icon{
                                background-size: 127%;
                            }
                        
                        
                        
                        
                        .configurator-question-items-title{
                            text-align: center;
                            width: 140px;
                            color: #969696;
                        }
        
        
    
    .configurator-progress-block{
        position: absolute;
        bottom: 40px;
        width: 100%;
        height: 30px;
    }
    
        .configurator-progress-title{
            font-size: 32px;
            font-weight: bold;
            text-transform: uppercase;
            color: #32D74B;
            margin-bottom: 8px;
            visibility: hidden;
        }
    
        .configurator-progress-line{
            border-bottom: 3px solid #FF9B26;
        }
        
        .configurator-progress-line.green .configurator-progress-point-title{
            color: #32D74B
        }
        
        .configurator-progress-line.green .configurator-progress-point{
            background-color: #32D74B
        }
        
            .configurator-progress-point{
                position: absolute;
                top: 51px;
                background-color: #FF9B26;
                height: 8px;
                transition: width 0.3s;
                width: 10%;
            }

                .configurator-progress-point-title{
                    color: #FF9B26;
                    font-size: 20px;
                    position: absolute;
                    right: 20px;
                    top: 10px;
                }
            
.select-configurator{
    padding: 10px 25px;
    border:1px solid #CACACA;
    border-radius: 5px;
    display: inline-block;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    width: 250px;
}

    .select-configurator-list-items{
        position: absolute;
        width: 300px;
        background-color: #fff;
        box-shadow: 5px 5px 10px rgb(0, 0, 0, 0.2);
        border-radius: 5px;
        overflow: hidden;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        top: 90px;
    }
    
    .select-configurator-items{
        cursor: pointer;
        padding: 10px 25px;
    }
    
    .select-configurator-items:hover{
        background-color:#CCC;
    }


@media only screen and (max-width: 1920px){
    
    .configurator-menu-content-step-buttons{
        gap: 10px;
    }
    
    .configurator-question-items{
        width: calc(33.3333% - 20px);
    }
    
    .items-configurator-result-title-model{
        font-size: 16px;
        width: calc(50% - 10px);
    }
    
    .items-configurator-result{
        gap: 10px;  
    }
    
    .items-configurator-result a{
        width: calc(50% - 10px);
    }
    
    .items-configurator-result .button{
        padding: 5px 15px;
        font-size: 16px;
    }
    
}

@media only screen and (max-width: 1300px){
    
    .configurator-question-items{
        width: calc(50% - 20px);
    }
    
    .configurator-content{
        padding: 25px 50px;
    }
    
    .configurator-body-title-desk{
        margin-bottom: 15px;
        font-size: 18px;
    }
    
    .configurator-menu-items{
        margin-bottom: 5px;
    }
    
    .configurator-menu-content{
        margin-bottom: 5px;
    }
    
    .configurator-body-title{
        font-size: 30px;
    }
    
    .configurator-content{
        gap: 50px;
    }
    
}

@media only screen and (max-width: 1000px){
    
    .configurator-result-block{
        flex-basis: 100%;
        height: auto;
    }
    
    .configurator-body{
        flex-basis: 100%;
        padding-bottom: 50px;
    }
    
    .configurator-content{
        flex-wrap: wrap;
         height: auto;
    }
    
    .configurator-result-temp-image{
        height: 400px;
    }
    
    .configurator-content.finish{
        padding-bottom: 50px;
    }
    
    .configurator-content.finish .configurator-body-title{
        display: none;
    }
    
    .configurator-content.finish .configurator-body-title-desk{
        display: none;
    }
    
    .configurator-content.finish .configurator-menu{
        display: none;
    }
    
    .configurator-content.finish .configurator-result-block{
        padding-bottom: 50px;
    }
    
}

@media only screen and (max-width: 768px){
   
    .configurator-result-temp-image {
        height: 300px;
    }
    
    .items-configurator-result{
        width: 100%;
    }
    
    .items-configurator-result a{
        text-align: center;
    }
    
    .select-configurator{
        margin-bottom: 10px;
    }
    
}